| LicenseSpring .Net SDK 8.1.0 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Properties | List of all members
LicenseSpring.UserLicense Class Reference

Contains information about a license for the pertaining user. More...

## Properties
bool | AllowGracePeriod`[get, set]`
| Is grace period allowed (for subscription based licenses).
bool | AllowOverages`[get, set]`
| Are license overages allowed. In a consumption license, an overage is an additional usage beyond the predefined limit set during license creation.
bool | AllowUnlimitedActivations`[get, set]`
| Is unlimited number of activations allowed.
bool | CanBorrow`[get, set]`
| Can a floating license be borrowed.
Customer | Customer`[get, set]`
| License customer.
CustomField[] | CustomFields`[get, set]`
| License custom fields.
bool | EnableMaintenancePeriod`[get, set]`
| Is maintenance period enabled.
long | FloatingTimeout`[get, set]`
| Time interval in minutes in which the end user application will need to perform a license check in order to remain registered to the license.
int | GracePeriod`[get, set]`
| Grace period in hours (for subscription based licenses).
long | Id`[get, set]`
| Internal id of the license. Use this property for activating a specific license if a user has multiple licenses for the same product.
bool | IsAirGapped`[get, set]`
| Is the license airgapped.
bool | IsFloating`[get, set]`
| Is the license a floating license.
bool | IsFloatingCloud`[get, set]`
| Is the license a floating cloud license.
bool | IsHardwareKeyAuthenticated`[get, set]`
| If the license is using a hardware key for authentication.
bool | IsTrial`[get, set]`
| Is the license a trial version.
bool | LicenseActive`[get, set]`
| Is license currently activated.
bool | LicenseEnabled`[get, set]`
| Is license currently enabled.
LicenseFeature[] | LicenseFeatures`[get, set]`
| License features.
LicenseType | LicenseType`[get]`
| Type of the license (perpetual, subscription, time-limited, or consumption).
DateTime | MaintenancePeriod`[get]`
| Date until which the maintenance period is active.
int | MaxActivations`[get, set]`
| Maximum number of license activations.
long | MaxBorrowTime`[get, set]`
| Maximum number of hours a floating license can be borrowed for.
int | MaxLicenseUsers`[get, set]`
| Maximum number of users for this license.
long | MaxOverages`[get, set]`
| Maximum number of license overages.
int | MaxTransfers`[get, set]`
| Maximum number of times a license can be transfered between devices.
string | Metadata`[get, set]`
| License metadata.
string | OrderStoreId`[get, set]`
| Id of the license in the LicenseSpring platform.
bool | PreventVm`[get, set]`
| Is running a license on a virtual machine prevented.
DateTime | StartDate`[get]`
| First day of license activation. License can not be activated before this date.
int | TimesActivated`[get, set]`
| Number of time the license has been activated.
int | TransferCount`[get, set]`
| Number of license transfers. License transfer is an activation on a device different from the device it was last activated on.
DateTime | ValidityPeriod`[get]`
| Date until which the license is valid.

## Detailed Description

Contains information about a license for the pertaining user.

The documentation for this class was generated from the following file:

- UserLicense.cs